Legacy CHEESE API

Similarity Matrix

Suggest an edit
GET
/similarity_matrix

Calculate the similarity matrix between a list of molecules

This endpoint allows users to calculate the similarity between list of molecules based on their SMILES strings.

Parameters:

  • smiles (List[str]): List of smiles.
  • similarity_metric (EmbNames): The model and similarity metric to use for the calculation.
  • distance_type (DistanceType): The type of vector distance to use for the similarity calculation.
  • save_matrix (bool): Whether to save the similarity matrix (default is False)
  • dest (str): Destination path to save the embeddings of the similarity matrix (default is /tmp/sim_matrix.npy , resulting files will have similarity metrics as suffixes !).

Returns:

  • A JSON response containing the similarity scores between the list of molecules.

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Query Parameters

smiles?array<string>

Default

[  "CC(=O)Oc1ccccc1C(=O)O",  "CC(=O)Oc1ccncc1C(=O)O",  "CC(=O)Oc1cnccc1C(=O)O"]
similarity_metric?EmbNames

CHEESE Model & Similarity Metric

Default"all"

Value in

  • "all"
  • "morgan"
  • "espsim_electrostatic"
  • "espsim_shape"
  • "synthongpt"
distance_type?DistanceType

Select Vector Distance

Default"euclidean"

Value in

  • "euclidean"
  • "cosine"
save_matrix?Save Matrix

Whether to save the resulting similarity matrix

Defaultfalse
dest?Dest

Destination path

Default"/tmp/sim_matrix.npy"

Response Body

application/json

application/json

curl -X GET "https://example.com/similarity_matrix"
null